Package com.openmeet.webservice.services

# Class BanService

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.openmeet.webservice.services.BanService

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class BanService extends jakarta.servlet.http.HttpServlet
Servlet that handles all invocations for the Ban object.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BanService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doPost(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  On POST request, the method gets the name of operation from "operation" paramater and then invoke the following proxy method.

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BanService

    public BanService()

- ## Method Details

  - ### doPost

    public void doPost(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws IOException
    On POST request, the method gets the name of operation from "operation" paramater and then invoke the following proxy method.
    Overrides:
      `doPost` in class `jakarta.servlet.http.HttpServlet`
    Parameters:
      `request` - an `HttpServletRequest` object that contains the request the client has made of the servlet.
      `response` - an `HttpServletResponse` object that contains the response the servlet sends to the client
    Throws:
      `IOException`